Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
proxy
/
account-abstraction
/
operations
/
{operation_hash_param}
Get a user operation by hash
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/proxy/account-abstraction/operations/{operation_hash_param} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.blockscout.com/{chain_id}/api/v2/proxy/account-abstraction/operations/{operation_hash_param}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.blockscout.com/{chain_id}/api/v2/proxy/account-abstraction/operations/{operation_hash_param}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "aggregator": "<string>",
  "aggregator_signature": "<string>",
  "block_hash": "<string>",
  "block_number": "<string>",
  "bundle_index": 123,
  "bundler": {
    "ens_domain_name": "<string>",
    "hash": "<string>",
    "implementations": [
      {
        "address_hash": "<string>",
        "name": "<string>"
      }
    ],
    "is_contract": true,
    "is_scam": true,
    "is_verified": true,
    "metadata": {
      "tags": [
        {
          "meta": {},
          "name": "<string>",
          "ordinal": 123,
          "slug": "<string>",
          "tagType": "<string>"
        }
      ]
    },
    "name": "<string>",
    "private_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "public_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "watchlist_names": [
      {
        "display_name": "<string>",
        "label": "<string>"
      }
    ]
  },
  "call_data": "<string>",
  "call_gas_limit": "<string>",
  "consensus": true,
  "decoded_call_data": {
    "method_call": "<string>",
    "method_id": "<string>",
    "parameters": [
      {
        "name": "<string>",
        "type": "<string>",
        "value": {}
      }
    ]
  },
  "decoded_execute_call_data": {
    "method_call": "<string>",
    "method_id": "<string>",
    "parameters": [
      {
        "name": "<string>",
        "type": "<string>",
        "value": {}
      }
    ]
  },
  "entry_point": {
    "ens_domain_name": "<string>",
    "hash": "<string>",
    "implementations": [
      {
        "address_hash": "<string>",
        "name": "<string>"
      }
    ],
    "is_contract": true,
    "is_scam": true,
    "is_verified": true,
    "metadata": {
      "tags": [
        {
          "meta": {},
          "name": "<string>",
          "ordinal": 123,
          "slug": "<string>",
          "tagType": "<string>"
        }
      ]
    },
    "name": "<string>",
    "private_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "public_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "watchlist_names": [
      {
        "display_name": "<string>",
        "label": "<string>"
      }
    ]
  },
  "execute_call_data": "<string>",
  "execute_target": {
    "ens_domain_name": "<string>",
    "hash": "<string>",
    "implementations": [
      {
        "address_hash": "<string>",
        "name": "<string>"
      }
    ],
    "is_contract": true,
    "is_scam": true,
    "is_verified": true,
    "metadata": {
      "tags": [
        {
          "meta": {},
          "name": "<string>",
          "ordinal": 123,
          "slug": "<string>",
          "tagType": "<string>"
        }
      ]
    },
    "name": "<string>",
    "private_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "public_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "watchlist_names": [
      {
        "display_name": "<string>",
        "label": "<string>"
      }
    ]
  },
  "factory": {
    "ens_domain_name": "<string>",
    "hash": "<string>",
    "implementations": [
      {
        "address_hash": "<string>",
        "name": "<string>"
      }
    ],
    "is_contract": true,
    "is_scam": true,
    "is_verified": true,
    "metadata": {
      "tags": [
        {
          "meta": {},
          "name": "<string>",
          "ordinal": 123,
          "slug": "<string>",
          "tagType": "<string>"
        }
      ]
    },
    "name": "<string>",
    "private_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "public_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "watchlist_names": [
      {
        "display_name": "<string>",
        "label": "<string>"
      }
    ]
  },
  "fee": "<string>",
  "gas": "<string>",
  "gas_price": "<string>",
  "gas_used": "<string>",
  "hash": "<string>",
  "index": 123,
  "max_fee_per_gas": "<string>",
  "max_priority_fee_per_gas": "<string>",
  "nonce": "<string>",
  "paymaster": {
    "ens_domain_name": "<string>",
    "hash": "<string>",
    "implementations": [
      {
        "address_hash": "<string>",
        "name": "<string>"
      }
    ],
    "is_contract": true,
    "is_scam": true,
    "is_verified": true,
    "metadata": {
      "tags": [
        {
          "meta": {},
          "name": "<string>",
          "ordinal": 123,
          "slug": "<string>",
          "tagType": "<string>"
        }
      ]
    },
    "name": "<string>",
    "private_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "public_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "watchlist_names": [
      {
        "display_name": "<string>",
        "label": "<string>"
      }
    ]
  },
  "pre_verification_gas": "<string>",
  "raw": {
    "call_data": "<string>",
    "call_gas_limit": "<string>",
    "init_code": "<string>",
    "max_fee_per_gas": "<string>",
    "max_priority_fee_per_gas": "<string>",
    "nonce": "<string>",
    "paymaster_and_data": "<string>",
    "pre_verification_gas": "<string>",
    "sender": "<string>",
    "signature": "<string>",
    "verification_gas_limit": "<string>"
  },
  "revert_reason": "<string>",
  "sender": {
    "ens_domain_name": "<string>",
    "hash": "<string>",
    "implementations": [
      {
        "address_hash": "<string>",
        "name": "<string>"
      }
    ],
    "is_contract": true,
    "is_scam": true,
    "is_verified": true,
    "metadata": {
      "tags": [
        {
          "meta": {},
          "name": "<string>",
          "ordinal": 123,
          "slug": "<string>",
          "tagType": "<string>"
        }
      ]
    },
    "name": "<string>",
    "private_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "public_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "watchlist_names": [
      {
        "display_name": "<string>",
        "label": "<string>"
      }
    ]
  },
  "signature": "<string>",
  "status": true,
  "timestamp": "2023-11-07T05:31:56Z",
  "transaction_hash": "<string>",
  "user_logs_count": 123,
  "user_logs_start_index": 123,
  "verification_gas_limit": "<string>"
}
{
"message": "Invalid request"
}
{
"message": "Resource not found"
}
{
"message": "Feature not implemented"
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

operation_hash_param
string
required

User operation hash in the path

Pattern: ^0x([A-Fa-f0-9]{64})$
chain_id
string
required

The ID of the blockchain

Response

User operation

UserOperation struct.

aggregator
string | null
required
Pattern: ^0x([A-Fa-f0-9]{40})$
aggregator_signature
string | null
required
Pattern: ^0x([A-Fa-f0-9]*)$
block_hash
string
required
Pattern: ^0x([A-Fa-f0-9]{64})$
block_number
string
required
Pattern: ^-?([1-9][0-9]*|0)$
bundle_index
integer
required
bundler
Address · object
required

Address

call_data
string
required
Pattern: ^0x([A-Fa-f0-9]*)$
call_gas_limit
string
required
Pattern: ^-?([1-9][0-9]*|0)$
consensus
boolean | null
required
decoded_call_data
DecodedInput · object | null
required
decoded_execute_call_data
DecodedInput · object | null
required
entry_point
Address · object
required

Address

entry_point_version
enum<string>
required
Available options:
v0.6,
v0.7,
v0.8,
v0.9
execute_call_data
string | null
required
Pattern: ^0x([A-Fa-f0-9]*)$
execute_target
AddressNullable · object | null
required

AddressNullable

factory
AddressNullable · object | null
required

AddressNullable

fee
string
required
Pattern: ^-?([1-9][0-9]*|0)$
gas
string
required
Pattern: ^-?([1-9][0-9]*|0)$
gas_price
string
required
Pattern: ^-?([1-9][0-9]*|0)$
gas_used
string
required
Pattern: ^-?([1-9][0-9]*|0)$
hash
string
required
Pattern: ^0x([A-Fa-f0-9]{64})$
index
integer
required
max_fee_per_gas
string
required
Pattern: ^-?([1-9][0-9]*|0)$
max_priority_fee_per_gas
string
required
Pattern: ^-?([1-9][0-9]*|0)$
nonce
string
required
Pattern: ^0x([A-Fa-f0-9]{64})$
paymaster
AddressNullable · object | null
required

AddressNullable

pre_verification_gas
string
required
Pattern: ^-?([1-9][0-9]*|0)$
raw
object
required

Raw user operation data.

revert_reason
string | null
required
Pattern: ^0x([A-Fa-f0-9]*)$
sender
Address · object
required

Address

signature
string
required
Pattern: ^0x([A-Fa-f0-9]*)$
sponsor_type
enum<string>
required
Available options:
wallet_deposit,
wallet_balance,
paymaster_sponsor,
paymaster_hybrid
status
boolean
required
timestamp
string<date-time> | null
required
transaction_hash
string
required
Pattern: ^0x([A-Fa-f0-9]{64})$
user_logs_count
integer
required
user_logs_start_index
integer
required
verification_gas_limit
string
required
Pattern: ^-?([1-9][0-9]*|0)$